import getDecorators from "inversify-inject-decorators";
import { container, CONTROLLER, GameController } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class RequestConfirmBet extends cc.Component
{
    @lazyInject(CONTROLLER.Game)
    private gameController: GameController;

    public request(): void
    {
        this.gameController.confirmBet();
    }
}
