import { Chip } from "../../../chip/scripts/chip";


const { ccclass, property } = cc._decorator;

@ccclass
export default class RoomComponent extends cc.Component
{
    @property(cc.Integer)
    private index: number = 0;
    @property(Chip)
    private listChip: Chip[] = [];

    public updateRoomChipsUI(listChipValues: number[]): void
    {
        for (let i = 0; i < listChipValues.length; i++)
        {
            this.listChip[i].setChipValue(listChipValues[i]);
        }
    }

    public getIndex(): number
    {
        return this.index;
    }
}